Overview | Package | Class | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ldi.server.common
Class DefaultDataAccessInfo

    java.lang.Object
      |
      +--com.bea.ldi.server.common.DefaultDataAccessInfo

public class DefaultDataAccessInfo
extends java.lang.Object
implements DataAccessInfo

See Also:
  `DataAccessInfo`, Serialized Form

Constructor Summary
`DefaultDataAccessInfo(java.util.Map serializedDataAccessInfo)`

Method Summary
`DataAccessPointInfo` | `getDataAccessPointInfo(java.lang.String dataAccessPointName)` Retrieves meta-information relating to the specified data access point.
`java.lang.String[]` | `getDataAccessPointNames()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDataAccessInfo

    public DefaultDataAccessInfo(java.util.Map serializedDataAccessInfo)

Method Detail

### getDataAccessPointNames

    public java.lang.String[] getDataAccessPointNames()

  Specified by:
    getDataAccessPointNames in interface DataAccessInfo

  Returns:
    All the names of the data access points used by the query. These names may be used as indices in order to look up meta-information pertaining to each data point.

### getDataAccessPointInfo

    public DataAccessPointInfo getDataAccessPointInfo(java.lang.String dataAccessPointName)

  Retrieves meta-information relating to the specified data access point.
  Specified by:
    getDataAccessPointInfo in interface DataAccessInfo

  Parameters:
    `dataAccessPointName` - the data access point name
  Returns:
    the meta-information (e.g. data retrieval time, statement/call, number of invocations)

Overview | Package | Class | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation is available at
http://download.oracle.com/docs/cd/E13190_01/liquiddata/docs81